#!/usr/bin/env python3

import amulet
import re
import unittest


class TestDeploy(unittest.TestCase):
    """
    Deployment test for the IBM IM charm.

    This charm doesn't do much by itself, so we expect functional
    tests to happen in the charms that use this layer (for example, websphere).
    """
    def setUp(self):
        self.d = amulet.Deployment(series='trusty')
        self.d.add('ibm-im', 'cs:~ibmcharmers/trusty/ibm-im')
        self.d.setup(timeout=900)
        self.d.sentry.wait(timeout=1800)

    def test_deploy_with_placeholder_resource(self):
        # The status message when using placeholder resources will include the
        # string "ibm_im_installer resource". If we see that, the test is
        # successful.
        sentry_re = re.compile('ibm_im_installer resource')
        self.d.sentry.wait_for_messages({"ibm-im": sentry_re})

if __name__ == '__main__':
    unittest.main()
